Description

When a newly provisioned SuSE node boots for the first time, after the initial installation, the chainload Grub2 EFI from ESP fails

(because the grubx64.efi file can't be found).

The SuSE UEFI bootloader can be found at this location:

SLES:

($root)/EFI/sles/grubx64.efi

OpenSuSE:

($root)/EFI/opensuse/grubx64.efi

This problem can be fixed easily by extending the "paths" array within the pxegrub2_chainload template e.g.:

6c6

<   paths = ["fedora", "redhat", "centos", "debian", "ubuntu", "Microsoft", "EFI"]

---

>   paths = ["fedora", "redhat", "centos", "debian", "ubuntu", *"sles"*, *"opensuse"*, "Microsoft"

, "EFI"]

Associated revisions

Revision 6d972eeb - 06/14/2018 10:11 AM - Martin Zimmermann

Refs #23861 - pxegrub2 chainload support for OpenSuSE and SLES

History

#1 - 06/08/2018 02:11 PM - Martin Zimmermann

Please note, that in my example there are some * characters, which should't be there (my mistake) ... so the array is supposed to look more like this:

6c6

<   paths = ["fedora", "redhat", "centos", "debian", "ubuntu", "Microsoft", "EFI"]

---

>   paths = ["fedora", "redhat", "centos", "debian", "ubuntu", "sles", "opensuse", "Microsoft", "EFI"]

#2 - 06/08/2018 02:42 PM - Anonymous

- Tracker changed from Bug to Feature

- Difficulty deleted (trivial)

please open a pull request: https://github.com/theforeman/community-templates/blob/develop/provisioning_templates/snippet/pxegrub2_chainload.erb

maybe pxegrub_chainload.erb also can get extended.

#3 - 06/08/2018 03:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing
https://github.com/theforeman/community-templates/blob/develop/provisioning_templates/snippet/pxegrub2_chainload.erb


- Pull request https://github.com/theforeman/community-templates/pull/482 added

#4 - 06/14/2018 10:12 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 353
